%define _sbindir /sbin
%define _libdir /lib

Summary: Enterprise Volume Management System utilities
Name: evms
Version: 1.2.1
Release: 0.dag
License: GPL
Group: System Environment/Base
URL: http://evms.sourceforge.net/

Packager: Dag Wieers <dag@wieers.com>
Vendor: Dag Apt Repository, http://dag.wieers.com/apt/

Source: http://prdownloads.sourceforge.net/evms/%{name}-%{version}.tar.gz
BuildRoot: %{_tmppath}/root-%{name}-%{version}
Prefix: %{_prefix}

%description
This package contains the user-space tools needed to manage EVMS (Enterprise
Volume Management System) volumes.

In order to use these user-space tools, you must also have your kernel patched
with the most recent EVMS code. Please see the EVMS-HOWTO on the project web
page or in the source package for detailed instructions on patching your kernel
with EVMS and using the tools after installation.

%prep
%setup

%build
cd engine
%{__autoconf}
%configure
%{__make} %{?_smp_mflags}

%install
%{__rm} -rf %{buildroot}
%makeinstall -C engine \
	PLUGINS_DIR="%{buildroot}%{_libdir}/evms" \
	EVMSHEADERS_DIR="%{buildroot}%{_includedir}/evms"

### Clean up buildroot
%{__rm} -f %{buildroot}%{_libdir}/*.a

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-,root,root)
%doc CHANGES COPYING EVMS*.txt PLUGIN.IDS README* TERMINOLOGY
%doc %{_mandir}/man?/*
%{_sbindir}/*
%{_libdir}/*.so
%{_libdir}/evms/
%{_includedir}/evms/

%changelog
* Tue Jul 01 2003 Dag Wieers <dag@wieers.com> - 1.2.1-0
- Initial package. (using DAR)
